import QtQuick 2.0
import QtTest 1.0
import ".."

TestCase{
    Storage{
        id: storage
    }

    property int lastId: -1;

    function benchmark_save() {
        var calc = {"dbId": -1,"isLastItem":false,"mainLabel":"","answer":"1499","operators":[{"_number":"900","_operation":"","_text":"multiplications"},{"_number":"300","_operation":"+","_text":"are not so"},{"_number":"2","_operation":"×","_text":"clear to "},{"_number":"1","_operation":"−","_text":"understand"}]};
        var res = storage.saveCalculation(calc, new Date().getTime());
        lastId = res;
    }

    onLastIdChanged: {
        if(lastId != -1)
            storage.removeCalculation({"dbId": lastId});
    }

}
